import scrollphathd

pixels = []

print(scrollphathd.DISPLAY_WIDTH, scrollphathd.DISPLAY_HEIGHT)
print((8*8*2) - (17*7))

for x in range(17):
    for y in range(7):
        pixels += [scrollphathd.display._pixel_addr(x, y)]

print(pixels)

for p in range(8*9*2):
    if p not in pixels:
        print("Disable: {}".format(p))

mask = []

for byte in range(18):
    out = 0
    for bit in range(8):
        index = (byte * 8) + bit
        if index in pixels:
            out |= 1 << (bit)
    mask += [out]

for pair in range(0,18,2):
    a, b = mask[pair:pair+2]
    print("0b{:08b}, 0b{:08b},".format(a, b))
